## org.firebirdsql.gds.impl.wire
Class ParameterBufferBase

    java.lang.Object
      org.firebirdsql.gds.impl.wire.ParameterBufferBase

All Implemented Interfaces:
  Serializable, Xdrable

Direct Known Subclasses:
  BlobParameterBufferImp, DatabaseParameterBufferImp, TransactionParameterBufferImpl

    public class ParameterBufferBase

extends Object
implements Serializable, Xdrable

Base class for BlobParameterBufferImp and DatabaseParameterBufferImp and perhaps eventualy TransactionParameterBuffer.

See Also:
  Serialized Form

Nested Class Summary
`protected static class` `ParameterBufferBase.Argument`
`protected static class` `ParameterBufferBase.NumericArgument`
`protected static class` `ParameterBufferBase.StringArgument`

Constructor Summary
`ParameterBufferBase()`

Method Summary
`void` `addArgument(int argumentType)`
`void` `addArgument(int type, byte[] content)`
`void` `addArgument(int argumentType, int value)`
`void` `addArgument(int argumentType, String value)`
`boolean` `equals(Object other)`
`int` `getArgumentAsInt(int type)`
`String` `getArgumentAsString(int type)`
`protected List` `getArgumentsList()`
`int` `getLength()` Get the total length (in bytes) of this `Xdrable` when it is written to XDR format.
`boolean` `hasArgument(int type)`
`int` `hashCode()`
`void` `read(XdrInputStream inputStream, int length)` Read in `Xdrable` in XDR format, from an `XdrInputStream`.
`void` `removeArgument(int type)`
`void` `write(XdrOutputStream outputStream)` Write the this `Xdrable` out in XDR format to an `XdrOutputStream`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterBufferBase

    public ParameterBufferBase()

Method Detail

### addArgument

    public void addArgument(int argumentType,
                            String value)

### addArgument

    public void addArgument(int argumentType,
                            int value)

### addArgument

    public void addArgument(int argumentType)

### addArgument

    public void addArgument(int type,
                            byte[] content)

### getArgumentAsString

    public String getArgumentAsString(int type)

### getArgumentAsInt

    public int getArgumentAsInt(int type)

### hasArgument

    public boolean hasArgument(int type)

### removeArgument

    public void removeArgument(int type)

### getLength

    public int getLength()

  Description copied from interface: `Xdrable`
  Get the total length (in bytes) of this `Xdrable` when it is written to XDR format.

  Specified by:
    `getLength` in interface `Xdrable`
  Returns:
    The total length in bytes

### read

    public void read(XdrInputStream inputStream,
                     int length)
              throws IOException

  Description copied from interface: `Xdrable`
  Read in `Xdrable` in XDR format, from an `XdrInputStream`.

  Specified by:
    `read` in interface `Xdrable`
  Parameters:
    `inputStream` - The input stream from which the object is to be read.
    `length` - The number of bytes to be read
  Throws:
    `IOException` - if an error occurs while reading from the `XdrInputStream`

### write

    public void write(XdrOutputStream outputStream)
               throws IOException

  Description copied from interface: `Xdrable`
  Write the this `Xdrable` out in XDR format to an `XdrOutputStream`.

  Specified by:
    `write` in interface `Xdrable`
  Parameters:
    `outputStream` - The output stream to which the `Xdrable` is to be written
  Throws:
    `IOException` - if an error occurs while writing to the `XdrOutputStream`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getArgumentsList

    protected List getArgumentsList()

Copyright © 2001-2010. All Rights Reserved.